Appearance
Get Loan Update History
GET
/v1/loans/update-history
Returns historical updates to loan offers, including creations and changes to rates or amounts. Use the currencySymbol query parameter to filter results. Pagination is supported via skip and limit, and results can be filtered by startTime and endTime.
Authorizations
apiKey
Your API key
Type
API Key (header: X-VALR-API-KEY)
apiSignature
HMAC SHA512 signature of the request (see Authentication section)
Type
API Key (header: X-VALR-SIGNATURE)
apiTimestamp
Request timestamp in milliseconds
Type
API Key (header: X-VALR-TIMESTAMP)
Parameters
Query Parameters
currencySymbol*
The currency symbol to filter by (e.g., BTC, ETH).
Type
Requiredstring
Example
"BTC"skip
Number of items to skip before returning results.
Type
integer
Example
0Format
"int32"limit
Maximum number of items to return (max 100).
Type
integer
Example
100Format
"int32"startTime
Start time in ISO 8601 format (e.g., 2023-11-14T22:00:00.000Z)
Type
string
endTime
End time in ISO 8601 format (e.g., 2023-12-14T22:00:00.000Z)
Type
string
Responses
Loan update history retrieved successfully
application/json
JSON
[
{
"loanId": "1289055810346737664",
"currency": "USDC",
"totalAmount": "100",
"availableAmount": "100",
"usedAmount": "0",
"hourlyRate": "0.00001255",
"createdAt": 1727401654671,
"updatedAt": 1727401654671,
"loanHistoryUpdateType": "CREATE"
}
]